Page MenuHomePhabricator

Hovercards: Yet another flicker-issue when moving the mouse pointer between hovercard and link
Closed, ResolvedPublic

Description

When one moves the mouse pointer over the hovercard and then back over the link (without leaving the combined area of link and hovercard), the hovercard disappears and reappears.

Expected behaviour would probably be that the hovercard is shown cuntinouously in this scenario.

Detailed steps to reproduce:

  • Move the mouse over a link and watti for the hovercard to appear (best visible when the tip of the hovercard is located over the linked area)
  • Move the mouse cursor over to the hovercard (it should stay visible)
  • Move the mouse cursor back to the link: -> The hovercard disappears and directly reappears

Tests above performed under Windows 7 in Firefox 29.0.1
Problem might be related (and/or could solve) bug 66240


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=66240

Details

Reference
bz66315

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:24 AM
bzimport added a project: Page-Previews.
bzimport set Reference to bz66315.
bzimport added a subscriber: Unknown Object (MLST).
Jaredzimmerman-WMF triaged this task as Low priority.Dec 3 2014, 12:29 AM
Jaredzimmerman-WMF set Security to None.

Change 263035 had a related patch set uploaded (by Prtksxna):
renderer: Unregister mouseleave handler on mw.popups.$popus on closePopup

https://gerrit.wikimedia.org/r/263035

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 8 2016, 5:01 AM
Legoktm closed this task as Resolved.Jan 8 2016, 6:33 AM
Legoktm assigned this task to Prtksxna.

Change 263035 merged by jenkins-bot:
renderer: Unregister mouseleave handler on mw.popups.$popus on closePopup

https://gerrit.wikimedia.org/r/263035